# Class SocketWrapperBase.VectoredIOCompletionHandler<A>

java.lang.Object
org.apache.tomcat.util.net.SocketWrapperBase.VectoredIOCompletionHandler<A>

Type Parameters:
  `A` - The attachment type

All Implemented Interfaces:
  `CompletionHandler<Long, SocketWrapperBase<E>.OperationState<A>>`

Enclosing class:
  `SocketWrapperBase<E>`

protected class SocketWrapperBase.VectoredIOCompletionHandler<A> extends Object implements CompletionHandler<Long, SocketWrapperBase<E>.OperationState<A>>
Completion handler for vectored operations. This will check the completion of the operation, then either continue or call the user provided completion handler.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`VectoredIOCompletionHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`completed(Long nBytes, SocketWrapperBase<E>.OperationState<A> state)`
`void`
`failed(Throwable exc, SocketWrapperBase<E>.OperationState<A> state)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VectoredIOCompletionHandler

protected VectoredIOCompletionHandler()

## Method Details

### completed

public void completed(Long nBytes, SocketWrapperBase<E>.OperationState<A> state)

Specified by:
  `completed` in interface `CompletionHandler<Long, SocketWrapperBase<E>.OperationState<A>>`

### failed

public void failed(Throwable exc, SocketWrapperBase<E>.OperationState<A> state)

Specified by:
  `failed` in interface `CompletionHandler<Long, SocketWrapperBase<E>.OperationState<A>>`